package tech.techyjessy.Commands;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.bukkit.OfflinePlayer;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import tech.techyjessy.Configuration.WhitelisterFormat;

public class ListWhitelisted implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
        if (sender instanceof Player) {
            Player player = (Player) sender;

            if (WhitelisterFormat.getInstance().IsRegistrar(sender.getName()) || player.isOp()) {
                List<String> playerList = new ArrayList<String>();
                Iterator<OfflinePlayer> whitelistIterator = sender.getServer().getWhitelistedPlayers().iterator();
                while (whitelistIterator.hasNext()) {
                    OfflinePlayer p = whitelistIterator.next();
                    playerList.add(p.getName());
                }

                player.sendMessage("WHITELIST -> " + playerList);
            }
        }
        return true;
    }
}
